# Type alias FormCfg

FormCfg: {
__?: any;
action?: string;
additionalButtons?: _AdditionalButton[];
additionalHeaders?: Header[];
blurb?: string | string[];
class?: string;
collapsedSummary?: string;
errors?: any;
fields: (Field | FieldRepeat | FieldLike)[];
formStyle?: string;
id?: string;
isOwner?: boolean;
isWorkflow?: boolean;
labelCols?: number;
layout?: Layout;
methodGET?: boolean;
noSubmitButton?: boolean;
onChange?: string;
onSubmit?: string;
req?: any;
splitPaste?: boolean;
submitButtonClass?: string;
submitLabel?: string;
tabs?: any;
validate?: any;
validator?: ((arg0) => any);
values?: any;
viewname?: string;
xhrSubmit?: boolean;
}

#### Type declaration

- ##### `Optional` __?: any

- ##### `Optional` action?: string

- ##### `Optional` additionalButtons?: _AdditionalButton[]

- ##### `Optional` additionalHeaders?: Header[]

- ##### `Optional` blurb?: string | string[]

- ##### `Optional` class?: string

- ##### `Optional` collapsedSummary?: string

- ##### `Optional` errors?: any

- ##### fields: (Field | FieldRepeat | FieldLike)[]

- ##### `Optional` formStyle?: string

- ##### `Optional` id?: string

- ##### `Optional` isOwner?: boolean

- ##### `Optional` isWorkflow?: boolean

- ##### `Optional` labelCols?: number

- ##### `Optional` layout?: Layout

- ##### `Optional` methodGET?: boolean

- ##### `Optional` noSubmitButton?: boolean

- ##### `Optional` onChange?: string

- ##### `Optional` onSubmit?: string

- ##### `Optional` req?: any

- ##### `Optional` splitPaste?: boolean

- ##### `Optional` submitButtonClass?: string

- ##### `Optional` submitLabel?: string

- ##### `Optional` tabs?: any

- ##### `Optional` validate?: any

- ##### `Optional` validator?: ((arg0) => any)

  - - (arg0): any

    - #### Parameters

      - ##### arg0: any

      #### Returns any

- ##### `Optional` values?: any

- ##### `Optional` viewname?: string

- ##### `Optional` xhrSubmit?: boolean

- Defined in saltcorn-data/models/form.ts:281

Generated using TypeDoc